kind: Deployment
apiVersion: apps/v1
metadata:
  name: $PROJECT-deployment
  namespace: $NAMESPACE
spec:
  replicas: $REPLICAS
  selector:
    matchLabels:
      app: $PROJECT-deployment
  template:
    metadata:
      labels:
        app: $PROJECT-deployment
    spec:
      imagePullSecrets:
        - name: dockerregistry
      containers:
        - image: $IMAGE_TAG
          imagePullPolicy: IfNotPresent
          name: $PROJECT-container
          ports:
            - containerPort: 3102
              name: http-server
          envFrom:
            - secretRef:
                name: $PROJECT-env
          command: ["npm", "run", "start"]
---
kind: Service
apiVersion: v1
metadata:
  name: $PROJECT-service
  namespace: $NAMESPACE
spec:
  ports:
    - name: http-server
      protocol: TCP
      port: 3102
  selector:
    app: $PROJECT-deployment
  type: ClusterIP
